Summary:	A system tool for maintaining the /etc/rc.d hierarchy.
Name:		chkconfig
Version:	1.2.24
Release:	1.3.0
Copyright:	GPL
Group:		System Environment/Base
Source:		ftp://ftp.redhat.com/pub/redhat/code/chkconfig/chkconfig-%{version}.tar.gz
Patch0:		chkconfig-1.1.2-nontsysv.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc.d, to relieve system administrators of some 
of the drudgery of manually editing the symbolic links.

%prep
%setup -q
%patch0 -p1

%build

%ifarch sparc
LIBMHACK=-lm
%endif

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBMHACK=$LIBMHACK

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  umask 027
  make instroot=$RPM_BUILD_ROOT install

  mkdir -p $RPM_BUILD_ROOT/etc/init.d
  for n in 0 1 2 3 4 5 6; do
    mkdir -p $RPM_BUILD_ROOT/etc/rc${n}.d
  done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
  %defattr(-,root,root)
  %attr(0750,root,admin) 	/sbin/chkconfig
  %dir /etc/rc*.d
  %doc %{_mandir}/man8/chkconfig.8*
  /usr/share/locale/*/LC_MESSAGES/chkconfig.mo

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue Apr 02 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.24, Release 1.2.1
  - Update to 1.2.24 so chkconfig knows about xinetd.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Wed Nov 29 2000 Pete O'Hara <pete@guardiandigital.com>
- put /etc/rc?.d back into file list as rpm is installing
	several packages right after chkconfig that 
	need these directories 

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- FHS fixes
- remove ntsysv references from Makefile
- remove /etc/rc?.d from file list

* Tue Nov 07 2000 Pete O'Hara <pete@guardiandigital.com>
- patched for chkconfig to work on /etc/rc*.d instead
	of /etc/rc.d/rc*.d

* Mon Jul 24 2000 Pete O'Hara <pete@guardiandigital.com>
- removed ntsysv package
- removed world access to chkconfig for Guardian
	Digital Linux Lockbox 

* Mon Jun 05 2000 Dave Wreski <dave@guardiandigital.com>
- Modify umask of newly-created files/directories
